Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eztodo/user/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 6232 2001-07-20 11:36:07Z jakobn $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 $ini =& eZINI::instance( 'site.ini' );
28 $GlobalSectionID = $ini->variable( "eZTodoMain", "DefaultSection" );
29
30 switch ( $url_array[2] )
31 {
32 case "" :
33 include( "kernel/eztodo/user/todolist.php" );
34 break;
35
36 case "todolist" :
37 include( "kernel/eztodo/user/todolist.php" );
38 break;
39
40 case "todoedit" :
41 {
42 switch ( $url_array[3] )
43 {
44 case "new":
45 {
46 $Action = "new";
47 include( "kernel/eztodo/user/todoedit.php" );
48 }
49 break;
50
51 case "insert":
52 {
53 $Action = "insert";
54 include( "kernel/eztodo/user/todoedit.php" );
55 }
56 break;
57
58 case "edit":
59 {
60 $Action = "edit";
61 $TodoID = $url_array[4];
62 include( "kernel/eztodo/user/todoedit.php" );
63 }
64 break;
65
66 case "update":
67 {
68 $Action = "update";
69 $TodoID = $url_array[4];
70 include( "kernel/eztodo/user/todoedit.php" );
71 }
72 break;
73 case "delete":
74 {
75 $Action = "delete";
76 $TodoID = $url_array[4];
77 include( "kernel/eztodo/user/todoedit.php" );
78 }
79 break;
80
81 }
82 }
83 break;
84
85 case "todoview":
86 {
87 $TodoID = $url_array[3];
88 include( "kernel/eztodo/user/todoview.php" );
89 }
90 break;
91
92
93 case "todoinfo" :
94 include( "kernel/eztodo/user/todoinfo.php" );
95 break;
96
97 default:
98 print( "<h1>Sorry, Your link page could not be found. </h1>" );
99 break;
100 }
101
102 ?>
$Action
$Action
Definition: companysearch.php:80
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$GlobalSectionID
$GlobalSectionID
Definition: eztodo/user/datasupplier.php:28
$ini
$ini
Definition: eztodo/user/datasupplier.php:27
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.